Resume Parsing
The process of extracting important information about a candidate from the resume is called Resume Parsing. Information such as candidate’s details, education, experience, etc. mentioned in the resume.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/parser/resume/v1/parse
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /parser/resume/v1/parse
This API takes ‘file name’ and ‘datastream’ as input keys to extract the candidate's information such as name, contact information, email id, education, work experience, and skills etc.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request object to parse resume using stream.",
"properties": {
"filename": {
"type": "string",
"description": "Resume file name."
},
"datastream": {
"type": "string",
"description": "Base64 encoded value."
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | ResumeRequest |
Response
200 response.
copied![
{
"type": "object",
"description": "Response object after parsing resume.",
"properties": {
"status": {
"type": "string",
"description": "Status returned by the API."
},
"message": {
"type": "string",
"description": "Message string."
},
"messageKey": {
"type": "string",
"description": "Message key."
},
"timeStamp": {
"type": "string",
"description": "TimeStamp."
},
"data": {
"type": "object",
"description": "Data object which contains all the parsed fields.",
"properties": {
"resumedata": {
"type": "object",
"description": "Resumedata object which contains all the parsed fields.",
"properties": {
"personname": {
"type": "object",
"description": "Candidate personal details.",
"properties": {
"fullname": {
"type": "string",
"description": "Full name of Candidate."
},
"firstname": {
"type": "string",
"description": "First name of Candidate."
},
"middlename": {
"type": "string",
"description": "Middle name of Candidate."
},
"lastname": {
"type": "string",
"description": "Last name of Candidate."
}
}
},
"mobile": {
"type": "array",
"description": "Candidate contact details.",
"items": {
"type": "object",
"properties": {
"number": {
"type": "string",
"description": "Mobile number of Candidate."
},
"formattednumber": {
"type": "string",
"description": "Formatted number of Candidate."
}
}
}
},
"emailaddress": {
"type": "string",
"description": "Email address of Candidate."
},
"altemailaddress": {
"type": "string",
"description": "Alternate Email other than primary mail."
},
"internetaddress": {
"type": "array",
"description": "Candidate Internet address details.",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Internet address type."
},
"url": {
"type": "string",
"description": "Internet address URL."
}
}
}
},
"postaladdress": {
"type": "array",
"description": "Candidate postal details.",
"items": {
"type": "object",
"properties": {
"fulladdress": {
"type": "string",
"description": "Complete postal address."
},
"city": {
"type": "string",
"description": "City mentioned in address."
},
"state": {
"type": "string",
"description": "State mentioned in address."
},
"country": {
"type": "string",
"description": "Country."
},
"zipcode": {
"type": "string",
"description": "Zipcode."
},
"ispresent": {
"type": "string",
"description": "Is it the current address of the candidate."
}
}
}
},
"resumelanguage": {
"type": "string",
"description": "Language of resume content."
},
"languageknown": {
"type": "string",
"description": "Language known by candidate."
},
"experiencesummary": {
"type": "object",
"description": "Candidate experience summary.",
"properties": {
"currentemployer": {
"type": "string",
"description": "Candidate working in current Company."
},
"currentrole": {
"type": "string",
"description": "Current role of candidate."
},
"gapperiod": {
"type": "string",
"description": "Time frame for which candidate is not working."
},
"longeststay": {
"type": "string",
"description": "Longest time frame in a Company."
},
"averagestay": {
"type": "string",
"description": "Average stay."
},
"totalexperienceinmonths": {
"type": "integer",
"description": "Total experience in months."
},
"totalexperienceinyear": {
"type": "string",
"description": "Total experience in year."
}
}
},
"filename": {
"type": "string",
"description": "Attached file name."
},
"resumetext": {
"type": "string",
"description": "Resume Content."
},
"summary": {
"type": "string",
"description": "Summary."
},
"resumeskills": {
"type": "string",
"description": "Resume skills."
},
"skilltaxonomy": {
"type": "array",
"description": "Candidate skills history.",
"items": {
"type": "object",
"properties": {
"skillname": {
"type": "string",
"description": "Skill name."
},
"lastused": {
"type": "string",
"description": "Last used."
},
"monthsused": {
"type": "string",
"description": "Months used."
},
"availability": {
"type": "string",
"description": "Availability."
}
}
}
},
"educationhistory": {
"description": "Candidate education info.",
"type": "array",
"items": {
"type": "object",
"properties": {
"school": {
"type": "string",
"description": "College name."
},
"city": {
"type": "string",
"description": "City."
},
"state": {
"type": "string",
"description": "state"
},
"country": {
"type": "string",
"description": "Country."
},
"degree": {
"type": "string",
"description": "Degree."
},
"startdate": {
"type": "string",
"description": "Joining date."
},
"enddate": {
"type": "string",
"description": "End date."
},
"aggregate": {
"type": "string",
"description": "Aggregate values."
}
}
}
},
"workhistory": {
"description": "Candidate work or experience details.",
"type": "array",
"items": {
"type": "object",
"properties": {
"company": {
"type": "string",
"description": "Company name."
},
"title": {
"type": "string",
"description": "Candidate Title."
},
"city": {
"type": "string",
"description": "City."
},
"state": {
"type": "string",
"description": "State."
},
"country": {
"type": "string",
"description": "Country."
},
"startdate": {
"type": "string",
"description": "Start date"
},
"description": {
"type": "string",
"description": "Experience description."
},
"enddate": {
"type": "string",
"description": "End date."
},
"skill": {
"type": "array",
"description": "Experience section skills.",
"items": {
"type": "string"
}
}
}
}
}
}
}
}
}
}
}
]400 response.
copied![
{
"type": "object",
"description": "Error Response.",
"properties": {
"status": {
"type": "string",
"description": "Status code of encountered error."
},
"errors": {
"type": "array",
"description": "Error details.",
"items": {
"type": "object",
"description": "Error details.",
"properties": {
"errorAPI": {
"type": "string",
"description": "Status returned by the API."
},
"errorCode": {
"type": "string",
"description": "ErrorCode by the API."
},
"timeStamp": {
"type": "string",
"description": "TimeStamp."
},
"message": {
"type": "string",
"description": "Error message."
},
"messageKey": {
"type": "string",
"description": "Error message key."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | ResumeResponse |
| 400 | 400 response. | ErrorResponse |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/parser/resume/v1/parse/file
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /parser/resume/v1/parse/file
This API takes ‘file’ (resume) as input to extract the candidate's information such as name, contact information, email id, education, work experience, and skills etc.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request object to parse resume using file.",
"properties": {
"file": {
"type": "string",
"format": "binary",
"description": "Resume upload."
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| multipart/form-data | ResumeFileRequest |
Response
200 response.
copied![
{
"type": "object",
"description": "Response object after parsing resume.",
"properties": {
"status": {
"type": "string",
"description": "Status returned by the API."
},
"message": {
"type": "string",
"description": "Message string."
},
"messageKey": {
"type": "string",
"description": "Message key."
},
"timeStamp": {
"type": "string",
"description": "TimeStamp."
},
"data": {
"type": "object",
"description": "Data object which contains all the parsed fields.",
"properties": {
"resumedata": {
"type": "object",
"description": "Resumedata object which contains all the parsed fields.",
"properties": {
"personname": {
"type": "object",
"description": "Candidate personal details.",
"properties": {
"fullname": {
"type": "string",
"description": "Full name of Candidate."
},
"firstname": {
"type": "string",
"description": "First name of Candidate."
},
"middlename": {
"type": "string",
"description": "Middle name of Candidate."
},
"lastname": {
"type": "string",
"description": "Last name of Candidate."
}
}
},
"mobile": {
"type": "array",
"description": "Candidate contact details.",
"items": {
"type": "object",
"properties": {
"number": {
"type": "string",
"description": "Mobile number of Candidate."
},
"formattednumber": {
"type": "string",
"description": "Formatted number of Candidate."
}
}
}
},
"emailaddress": {
"type": "string",
"description": "Email address of Candidate."
},
"altemailaddress": {
"type": "string",
"description": "Alternate Email other than primary mail."
},
"internetaddress": {
"type": "array",
"description": "Candidate Internet address details.",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Internet address type."
},
"url": {
"type": "string",
"description": "Internet address URL."
}
}
}
},
"postaladdress": {
"type": "array",
"description": "Candidate postal details.",
"items": {
"type": "object",
"properties": {
"fulladdress": {
"type": "string",
"description": "Complete postal address."
},
"city": {
"type": "string",
"description": "City mentioned in address."
},
"state": {
"type": "string",
"description": "State mentioned in address."
},
"country": {
"type": "string",
"description": "Country."
},
"zipcode": {
"type": "string",
"description": "Zipcode."
},
"ispresent": {
"type": "string",
"description": "Is it the current address of the candidate."
}
}
}
},
"resumelanguage": {
"type": "string",
"description": "Language of resume content."
},
"languageknown": {
"type": "string",
"description": "Language known by candidate."
},
"experiencesummary": {
"type": "object",
"description": "Candidate experience summary.",
"properties": {
"currentemployer": {
"type": "string",
"description": "Candidate working in current Company."
},
"currentrole": {
"type": "string",
"description": "Current role of candidate."
},
"gapperiod": {
"type": "string",
"description": "Time frame for which candidate is not working."
},
"longeststay": {
"type": "string",
"description": "Longest time frame in a Company."
},
"averagestay": {
"type": "string",
"description": "Average stay."
},
"totalexperienceinmonths": {
"type": "integer",
"description": "Total experience in months."
},
"totalexperienceinyear": {
"type": "string",
"description": "Total experience in year."
}
}
},
"filename": {
"type": "string",
"description": "Attached file name."
},
"resumetext": {
"type": "string",
"description": "Resume Content."
},
"summary": {
"type": "string",
"description": "Summary."
},
"resumeskills": {
"type": "string",
"description": "Resume skills."
},
"skilltaxonomy": {
"type": "array",
"description": "Candidate skills history.",
"items": {
"type": "object",
"properties": {
"skillname": {
"type": "string",
"description": "Skill name."
},
"lastused": {
"type": "string",
"description": "Last used."
},
"monthsused": {
"type": "string",
"description": "Months used."
},
"availability": {
"type": "string",
"description": "Availability."
}
}
}
},
"educationhistory": {
"description": "Candidate education info.",
"type": "array",
"items": {
"type": "object",
"properties": {
"school": {
"type": "string",
"description": "College name."
},
"city": {
"type": "string",
"description": "City."
},
"state": {
"type": "string",
"description": "state"
},
"country": {
"type": "string",
"description": "Country."
},
"degree": {
"type": "string",
"description": "Degree."
},
"startdate": {
"type": "string",
"description": "Joining date."
},
"enddate": {
"type": "string",
"description": "End date."
},
"aggregate": {
"type": "string",
"description": "Aggregate values."
}
}
}
},
"workhistory": {
"description": "Candidate work or experience details.",
"type": "array",
"items": {
"type": "object",
"properties": {
"company": {
"type": "string",
"description": "Company name."
},
"title": {
"type": "string",
"description": "Candidate Title."
},
"city": {
"type": "string",
"description": "City."
},
"state": {
"type": "string",
"description": "State."
},
"country": {
"type": "string",
"description": "Country."
},
"startdate": {
"type": "string",
"description": "Start date"
},
"description": {
"type": "string",
"description": "Experience description."
},
"enddate": {
"type": "string",
"description": "End date."
},
"skill": {
"type": "array",
"description": "Experience section skills.",
"items": {
"type": "string"
}
}
}
}
}
}
}
}
}
}
}
]400 response.
copied![
{
"type": "object",
"description": "Error Response.",
"properties": {
"status": {
"type": "string",
"description": "Status code of encountered error."
},
"errors": {
"type": "array",
"description": "Error details.",
"items": {
"type": "object",
"description": "Error details.",
"properties": {
"errorAPI": {
"type": "string",
"description": "Status returned by the API."
},
"errorCode": {
"type": "string",
"description": "ErrorCode by the API."
},
"timeStamp": {
"type": "string",
"description": "TimeStamp."
},
"message": {
"type": "string",
"description": "Error message."
},
"messageKey": {
"type": "string",
"description": "Error message key."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | ResumeResponse |
| 400 | 400 response. | ErrorResponse |
Job Parsing
The process of extracting important information from the raw job description is called Job Parsing. This information can include things like job titles, required skills, required experience, job duties, and qualifications.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/parser/job/v1/parse
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /parser/job/v1/parse
This API extract various features, such as job titles, required skills, required experience, etc. from the raw job descriptions. It also enhances these extracted features and stores them in a database for use in Phenom AI systems.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request data information.",
"properties": {
"jobDescription": {
"type": "string",
"description": "Raw job description."
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | JDRequest |
Response
found the API.
copied![
{
"type": "object",
"description": "Response data information.",
"properties": {
"status": {
"type": "integer"
},
"skills": {
"type": "array",
"description": "All extracted skills deemed important by skills importance.",
"items": {
"type": "string"
}
},
"skillRanking": {
"type": "array",
"description": "Importantness of extracted skills.",
"items": {
"type": "object",
"properties": {
"term": {
"type": "string",
"description": "Extracted skill name."
},
"score": {
"type": "number",
"format": "float",
"description": "Extracted skill importance score."
}
}
}
},
"jobTeaser": {
"type": "string",
"description": "Job teaser from description."
},
"jobExperience": {
"type": "object",
"description": "Extracted experience information.",
"properties": {
"minOverallExp": {
"type": "integer",
"description": "Minimum experience required."
},
"maxOverallExp": {
"type": "integer",
"description": "Maximum experience required."
}
}
},
"language": {
"type": "string",
"description": "Job language."
},
"requirementSentences": {
"type": "array",
"description": "All requirement sentences.",
"items": {
"type": "string"
}
},
"responsibilitySentences": {
"type": "array",
"description": "All responsibility sentences.",
"items": {
"type": "string"
}
},
"experienceSentences": {
"type": "array",
"description": "All experience sentences.",
"items": {
"type": "string"
}
},
"softSkillsSentences": {
"type": "array",
"description": "All soft skill sentences.",
"items": {
"type": "string"
}
},
"skillsSentences": {
"type": "array",
"description": "All required skills sentences.",
"items": {
"type": "string"
}
},
"educationSentences": {
"type": "array",
"description": "All education/degree related sentences.",
"items": {
"type": "string"
}
},
"jobZone": {
"type": "integer",
"description": "Job zone."
},
"onet": {
"type": "array",
"description": "O*NET information containing onet code, title and score.",
"items": {
"type": "object",
"properties": {
"onetCode": {
"type": "string",
"description": "Job special code according O*NET standard."
},
"onetTitle": {
"type": "string",
"description": "Job special title according O*NET standard."
},
"score": {
"type": "number",
"format": "float",
"description": "O*NET score."
},
"version": {
"type": "number",
"format": "float",
"description": "O*NET version."
}
}
}
},
"jobPreferredLanguages": {
"type": "string",
"description": "Preferred languages mentioned in the job description."
},
"jobTypeFields": {
"type": "object",
"description": "Information about job experience type.",
"properties": {
"jobType": {
"type": "string",
"description": "Job type part-time/full-time."
},
"isIntern": {
"type": "boolean",
"description": "Is intern job."
},
"experienceType": {
"type": "string",
"description": "Experience Level."
},
"isEntrylevel": {
"type": "boolean",
"description": "Is entry level job."
}
}
},
"cleanedTitle": {
"type": "string",
"description": "Noise free title."
},
"languageFullform": {
"type": "string",
"description": "Job Language full form."
},
"jobDomain": {
"type": "string",
"description": "Job domain."
}
}
}
]Some exception occured while extracting features.
copied![
{
"type": "object",
"description": "Error Response.",
"properties": {
"status": {
"type": "string",
"description": "Status code of encountered error."
},
"errors": {
"type": "array",
"description": "Error details.",
"items": {
"type": "object",
"description": "Error details.",
"properties": {
"errorAPI": {
"type": "string",
"description": "Status returned by the API."
},
"errorCode": {
"type": "string",
"description": "ErrorCode by the API."
},
"timeStamp": {
"type": "string",
"description": "TimeStamp."
},
"message": {
"type": "string",
"description": "Error message."
},
"messageKey": {
"type": "string",
"description": "Error message key."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | found the API. | JobResponse |
| 400 | Some exception occured while extracting features. | ErrorResponse |
Schemas
copied!{
"type": "object",
"description": "Request data information.",
"properties": {
"jobDescription": {
"type": "string",
"description": "Raw job description."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| jobDescription | string | Raw job description. |
copied!{
"type": "object",
"description": "Response data information.",
"properties": {
"status": {
"type": "integer"
},
"skills": {
"type": "array",
"description": "All extracted skills deemed important by skills importance.",
"items": {
"type": "string"
}
},
"skillRanking": {
"type": "array",
"description": "Importantness of extracted skills.",
"items": {
"type": "object",
"properties": {
"term": {
"type": "string",
"description": "Extracted skill name."
},
"score": {
"type": "number",
"format": "float",
"description": "Extracted skill importance score."
}
}
}
},
"jobTeaser": {
"type": "string",
"description": "Job teaser from description."
},
"jobExperience": {
"type": "object",
"description": "Extracted experience information.",
"properties": {
"minOverallExp": {
"type": "integer",
"description": "Minimum experience required."
},
"maxOverallExp": {
"type": "integer",
"description": "Maximum experience required."
}
}
},
"language": {
"type": "string",
"description": "Job language."
},
"requirementSentences": {
"type": "array",
"description": "All requirement sentences.",
"items": {
"type": "string"
}
},
"responsibilitySentences": {
"type": "array",
"description": "All responsibility sentences.",
"items": {
"type": "string"
}
},
"experienceSentences": {
"type": "array",
"description": "All experience sentences.",
"items": {
"type": "string"
}
},
"softSkillsSentences": {
"type": "array",
"description": "All soft skill sentences.",
"items": {
"type": "string"
}
},
"skillsSentences": {
"type": "array",
"description": "All required skills sentences.",
"items": {
"type": "string"
}
},
"educationSentences": {
"type": "array",
"description": "All education/degree related sentences.",
"items": {
"type": "string"
}
},
"jobZone": {
"type": "integer",
"description": "Job zone."
},
"onet": {
"type": "array",
"description": "O*NET information containing onet code, title and score.",
"items": {
"type": "object",
"properties": {
"onetCode": {
"type": "string",
"description": "Job special code according O*NET standard."
},
"onetTitle": {
"type": "string",
"description": "Job special title according O*NET standard."
},
"score": {
"type": "number",
"format": "float",
"description": "O*NET score."
},
"version": {
"type": "number",
"format": "float",
"description": "O*NET version."
}
}
}
},
"jobPreferredLanguages": {
"type": "string",
"description": "Preferred languages mentioned in the job description."
},
"jobTypeFields": {
"type": "object",
"description": "Information about job experience type.",
"properties": {
"jobType": {
"type": "string",
"description": "Job type part-time/full-time."
},
"isIntern": {
"type": "boolean",
"description": "Is intern job."
},
"experienceType": {
"type": "string",
"description": "Experience Level."
},
"isEntrylevel": {
"type": "boolean",
"description": "Is entry level job."
}
}
},
"cleanedTitle": {
"type": "string",
"description": "Noise free title."
},
"languageFullform": {
"type": "string",
"description": "Job Language full form."
},
"jobDomain": {
"type": "string",
"description": "Job domain."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | integer | |
| skills | [string] | All extracted skills deemed important by skills importance. |
| skillRanking | [object] | Importantness of extracted skills. |
| term | string | Extracted skill name. |
| score | number | Extracted skill importance score. |
| jobTeaser | string | Job teaser from description. |
| jobExperience | object | Extracted experience information. |
| minOverallExp | integer | Minimum experience required. |
| maxOverallExp | integer | Maximum experience required. |
| language | string | Job language. |
| requirementSentences | [string] | All requirement sentences. |
| responsibilitySentences | [string] | All responsibility sentences. |
| experienceSentences | [string] | All experience sentences. |
| softSkillsSentences | [string] | All soft skill sentences. |
| skillsSentences | [string] | All required skills sentences. |
| educationSentences | [string] | All education/degree related sentences. |
| jobZone | integer | Job zone. |
| onet | [object] | O*NET information containing onet code, title and score. |
| onetCode | string | Job special code according O*NET standard. |
| onetTitle | string | Job special title according O*NET standard. |
| score | number | O*NET score. |
| version | number | O*NET version. |
| jobPreferredLanguages | string | Preferred languages mentioned in the job description. |
| jobTypeFields | object | Information about job experience type. |
| jobType | string | Job type part-time/full-time. |
| isIntern | boolean | Is intern job. |
| experienceType | string | Experience Level. |
| isEntrylevel | boolean | Is entry level job. |
| cleanedTitle | string | Noise free title. |
| languageFullform | string | Job Language full form. |
| jobDomain | string | Job domain. |
copied!{
"type": "object",
"description": "Error Response.",
"properties": {
"status": {
"type": "string",
"description": "Status code of encountered error."
},
"errors": {
"type": "array",
"description": "Error details.",
"items": {
"type": "object",
"description": "Error details.",
"properties": {
"errorAPI": {
"type": "string",
"description": "Status returned by the API."
},
"errorCode": {
"type": "string",
"description": "ErrorCode by the API."
},
"timeStamp": {
"type": "string",
"description": "TimeStamp."
},
"message": {
"type": "string",
"description": "Error message."
},
"messageKey": {
"type": "string",
"description": "Error message key."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status code of encountered error. |
| errors | [object] | Error details. |
| errorAPI | string | Status returned by the API. |
| errorCode | string | ErrorCode by the API. |
| timeStamp | string | TimeStamp. |
| message | string | Error message. |
| messageKey | string | Error message key. |
copied!{
"type": "object",
"description": "Request object to parse resume using file.",
"properties": {
"file": {
"type": "string",
"format": "binary",
"description": "Resume upload."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| file | string | Resume upload. |
copied!{
"type": "object",
"description": "Request object to parse resume using stream.",
"properties": {
"filename": {
"type": "string",
"description": "Resume file name."
},
"datastream": {
"type": "string",
"description": "Base64 encoded value."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| filename | string | Resume file name. |
| datastream | string | Base64 encoded value. |
copied!{
"type": "object",
"description": "Response object after parsing resume.",
"properties": {
"status": {
"type": "string",
"description": "Status returned by the API."
},
"message": {
"type": "string",
"description": "Message string."
},
"messageKey": {
"type": "string",
"description": "Message key."
},
"timeStamp": {
"type": "string",
"description": "TimeStamp."
},
"data": {
"type": "object",
"description": "Data object which contains all the parsed fields.",
"properties": {
"resumedata": {
"type": "object",
"description": "Resumedata object which contains all the parsed fields.",
"properties": {
"personname": {
"type": "object",
"description": "Candidate personal details.",
"properties": {
"fullname": {
"type": "string",
"description": "Full name of Candidate."
},
"firstname": {
"type": "string",
"description": "First name of Candidate."
},
"middlename": {
"type": "string",
"description": "Middle name of Candidate."
},
"lastname": {
"type": "string",
"description": "Last name of Candidate."
}
}
},
"mobile": {
"type": "array",
"description": "Candidate contact details.",
"items": {
"type": "object",
"properties": {
"number": {
"type": "string",
"description": "Mobile number of Candidate."
},
"formattednumber": {
"type": "string",
"description": "Formatted number of Candidate."
}
}
}
},
"emailaddress": {
"type": "string",
"description": "Email address of Candidate."
},
"altemailaddress": {
"type": "string",
"description": "Alternate Email other than primary mail."
},
"internetaddress": {
"type": "array",
"description": "Candidate Internet address details.",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Internet address type."
},
"url": {
"type": "string",
"description": "Internet address URL."
}
}
}
},
"postaladdress": {
"type": "array",
"description": "Candidate postal details.",
"items": {
"type": "object",
"properties": {
"fulladdress": {
"type": "string",
"description": "Complete postal address."
},
"city": {
"type": "string",
"description": "City mentioned in address."
},
"state": {
"type": "string",
"description": "State mentioned in address."
},
"country": {
"type": "string",
"description": "Country."
},
"zipcode": {
"type": "string",
"description": "Zipcode."
},
"ispresent": {
"type": "string",
"description": "Is it the current address of the candidate."
}
}
}
},
"resumelanguage": {
"type": "string",
"description": "Language of resume content."
},
"languageknown": {
"type": "string",
"description": "Language known by candidate."
},
"experiencesummary": {
"type": "object",
"description": "Candidate experience summary.",
"properties": {
"currentemployer": {
"type": "string",
"description": "Candidate working in current Company."
},
"currentrole": {
"type": "string",
"description": "Current role of candidate."
},
"gapperiod": {
"type": "string",
"description": "Time frame for which candidate is not working."
},
"longeststay": {
"type": "string",
"description": "Longest time frame in a Company."
},
"averagestay": {
"type": "string",
"description": "Average stay."
},
"totalexperienceinmonths": {
"type": "integer",
"description": "Total experience in months."
},
"totalexperienceinyear": {
"type": "string",
"description": "Total experience in year."
}
}
},
"filename": {
"type": "string",
"description": "Attached file name."
},
"resumetext": {
"type": "string",
"description": "Resume Content."
},
"summary": {
"type": "string",
"description": "Summary."
},
"resumeskills": {
"type": "string",
"description": "Resume skills."
},
"skilltaxonomy": {
"type": "array",
"description": "Candidate skills history.",
"items": {
"type": "object",
"properties": {
"skillname": {
"type": "string",
"description": "Skill name."
},
"lastused": {
"type": "string",
"description": "Last used."
},
"monthsused": {
"type": "string",
"description": "Months used."
},
"availability": {
"type": "string",
"description": "Availability."
}
}
}
},
"educationhistory": {
"description": "Candidate education info.",
"type": "array",
"items": {
"type": "object",
"properties": {
"school": {
"type": "string",
"description": "College name."
},
"city": {
"type": "string",
"description": "City."
},
"state": {
"type": "string",
"description": "state"
},
"country": {
"type": "string",
"description": "Country."
},
"degree": {
"type": "string",
"description": "Degree."
},
"startdate": {
"type": "string",
"description": "Joining date."
},
"enddate": {
"type": "string",
"description": "End date."
},
"aggregate": {
"type": "string",
"description": "Aggregate values."
}
}
}
},
"workhistory": {
"description": "Candidate work or experience details.",
"type": "array",
"items": {
"type": "object",
"properties": {
"company": {
"type": "string",
"description": "Company name."
},
"title": {
"type": "string",
"description": "Candidate Title."
},
"city": {
"type": "string",
"description": "City."
},
"state": {
"type": "string",
"description": "State."
},
"country": {
"type": "string",
"description": "Country."
},
"startdate": {
"type": "string",
"description": "Start date"
},
"description": {
"type": "string",
"description": "Experience description."
},
"enddate": {
"type": "string",
"description": "End date."
},
"skill": {
"type": "array",
"description": "Experience section skills.",
"items": {
"type": "string"
}
}
}
}
}
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status returned by the API. |
| message | string | Message string. |
| messageKey | string | Message key. |
| timeStamp | string | TimeStamp. |
| data | object | Data object which contains all the parsed fields. |
| resumedata | object | Resumedata object which contains all the parsed fields. |
| personname | object | Candidate personal details. |
| fullname | string | Full name of Candidate. |
| firstname | string | First name of Candidate. |
| middlename | string | Middle name of Candidate. |
| lastname | string | Last name of Candidate. |
| mobile | [object] | Candidate contact details. |
| number | string | Mobile number of Candidate. |
| formattednumber | string | Formatted number of Candidate. |
| emailaddress | string | Email address of Candidate. |
| altemailaddress | string | Alternate Email other than primary mail. |
| internetaddress | [object] | Candidate Internet address details. |
| type | string | Internet address type. |
| url | string | Internet address URL. |
| postaladdress | [object] | Candidate postal details. |
| fulladdress | string | Complete postal address. |
| city | string | City mentioned in address. |
| state | string | State mentioned in address. |
| country | string | Country. |
| zipcode | string | Zipcode. |
| ispresent | string | Is it the current address of the candidate. |
| resumelanguage | string | Language of resume content. |
| languageknown | string | Language known by candidate. |
| experiencesummary | object | Candidate experience summary. |
| currentemployer | string | Candidate working in current Company. |
| currentrole | string | Current role of candidate. |
| gapperiod | string | Time frame for which candidate is not working. |
| longeststay | string | Longest time frame in a Company. |
| averagestay | string | Average stay. |
| totalexperienceinmonths | integer | Total experience in months. |
| totalexperienceinyear | string | Total experience in year. |
| filename | string | Attached file name. |
| resumetext | string | Resume Content. |
| summary | string | Summary. |
| resumeskills | string | Resume skills. |
| skilltaxonomy | [object] | Candidate skills history. |
| skillname | string | Skill name. |
| lastused | string | Last used. |
| monthsused | string | Months used. |
| availability | string | Availability. |
| educationhistory | [object] | Candidate education info. |
| school | string | College name. |
| city | string | City. |
| state | string | state |
| country | string | Country. |
| degree | string | Degree. |
| startdate | string | Joining date. |
| enddate | string | End date. |
| aggregate | string | Aggregate values. |
| workhistory | [object] | Candidate work or experience details. |
| company | string | Company name. |
| title | string | Candidate Title. |
| city | string | City. |
| state | string | State. |
| country | string | Country. |
| startdate | string | Start date |
| description | string | Experience description. |
| enddate | string | End date. |
| skill | [string] | Experience section skills. |
